# gec

[![npm version](https://badge.fury.io/js/gec.svg)](https://www.npmjs.com/package/gec)

🌈 Git commits with fine grain emoji descriptions

This uses the [gitmoji](https://gitmoji.carloscuesta.me) emoji commit standard for describing code changes with emojis.

## Install

    npm i -g gec

## Use

    gec

This will put you in a wizard where you get to choose a emoji to use and message to commit

![gec product demo](https://res.cloudinary.com/albin-groen/image/upload/v1594931115/gec-demo_a1n9j0.gif)

## Result

A pretty git history that is readable on every system.

![git commit log with emoji prefixes](https://res.cloudinary.com/albin-groen/image/upload/v1594932388/gec-result_ca7bpo.png)
![git commit log cli with textual emoji prefixes](https://res.cloudinary.com/albin-groen/image/upload/v1594932468/Screenshot_2020-07-16_at_22.47.41_jp4snx.png)

## Available emojis

- 🎨 - art - Improving structure / format of the code
- ⚡️ - zap - Improving performance
- 🔥 - fire - Removing code or files
- 🐛 - bug - Fixing a bug
- 🚑 - ambulance - Critical hotfix
- ✨ - sparkles - Introducing new features
- 📝 - pencil - Writing docs
- 🚀 - rocket - Deploying stuff
- 💄 - lipstick - Adding or updating the UI and style files
- 🎉 - tada - Beginning a project
- ✅ - white-check-mark - Adding or updating tests
- 🔒 - lock - Fixing security issues
- 🔖 - bookmark - Releasing / Version tags
- 🚨 - rotating-light - Removing linter warnings
- 🚧 - construction - Work in progress
- 💚 - green-heart - Fixing CI Build
- ⬇️ - arrow-down - Downgrading dependencies
- ⬆️ - arrow-up - Upgrading dependencies
- 📌 - pushpin - Pinning dependencies to specific versions
- 👷 - construction-worker - Adding or updating CI build system
- 📈 - chart-with-upwards-trend - Adding or updating analytics or tracking code
- ♻️ - recycle - Refactoring code
- ➕ - heavy-plus-sign - Adding a dependency
- ➖ - heavy-minus-sign - Removing a dependency
- 🔧 - wrench - Adding or updating configuration files
- 🔨 - hammer - Adding or updating build scripts
- 🌐 - globe-with-meridians - Internationalization and localization
- ✏️ - pencil2 - Fixing typos
- 💩 - poop - Writing bad code that needs to be improved
- ⏪ - rewind - Reverting changes
- 🔀 - twisted-rightwards-arrows - Merging branches
- 📦 - package - Adding or updating compiled files or packages
- 👽 - alien - Updating code due to external API changes
- 🚚 - truck - Moving or renaming files
- 📄 - page-facing-up - Adding or updating license
- 💥 - boom - Introducing breaking changes
- 🍱 - bento - Adding or updating assets
- ♿️ - wheelchair - Improving accessibility
- 💡 - bulb - Adding or updating comments in source code
- 🍻 - beers - Writing code drunkenly
- 💬 - speech-balloon - Adding or updating text and literals
- 🗃 - card-file-box - Performing database related changes
- 🔊 - loud-sound - Adding or updating logs
- 🔇 - mute - Removing logs
- 👥 - busts-in-silhouette - Adding or updating contributor(s)
- 🚸 - children-crossing - Improving user experience / usability
- 🏗 - building-construction - Making architectural changes
- 📱 - iphone - Working on responsive design
- 🤡 - clown-face - Mocking things
- 🥚 - egg - Adding or updating an easter egg
- 🙈 - see-no-evil - Adding or updating a .gitignore file"
- 📸 - camera-flash - Adding or updating snapshots"
- ⚗ - alembic - Experimenting new things"
- 🔍 - mag - Improving SEO"
- 🏷️ - label - Adding or updating types (Flow, TypeScript)"
- 🌱 - seedling - Adding or updating seed files"
- 🚩 - triangular-flag-on-post - Adding, updating, or removing feature flags"
- 🥅 - goal-net - Catching errors"
- 💫 - animation - Adding or updating animations and transitions"
- 🗑 - :wastebasket: - Deprecating code that needs to be cleaned up